Skip to main content
POST
Execute a pending USDT trade on a transfer

Authorizations

Api-Key
string
header
required

Headers

Idempotency-Key
string
required

Path Parameters

transferID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Response

Transfer with trade execute at market rate enabled successfully

id
string
required
read-only

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
amount
string
required

Amount of the transfer, expressed as a decimal string. Examples include "100.25", "0.1", "1.234567", "1.01" etc.

It is denominated in the source currency if that is a fiat currency, or in the fiat currency to which the source currency is pegged.

currency
enum<string>
required

Fiat currency for the transfer amount and developer fee. It's the source currency if that is a fiat currency or the fiat currency to which the source currency is pegged.

Available options:
usd,
eur,
mxn,
brl,
cop,
gbp
on_behalf_of
string
required

The id of the Bridge customer that you are moving funds on behalf of.

developer_fee
string
required

The fee, expressed as a decimal string, represents the amount you wish to reserve for your own account. This fee is the final amount deducted from what your customer ultimately receives, rather than a percentage.

It is denominated in the source currency if that is a fiat currency, or in the fiat currency to which the source currency is pegged.

source
object
required

The source of the transfer, which could be an external bank account, a bridge account, or a crypto wallet address

destination
object
required

The destination of the transfer, which could be an external bank account, a bridge account, or a crypto wallet address

state
enum<string>
required
read-only

Status of the transfer. See Transfer States for more details.

Available options:
awaiting_funds,
in_review,
funds_received,
payment_submitted,
payment_processed,
canceled,
undeliverable,
returned,
refund_in_flight,
refund_failed,
refunded
receipt
object
required

Receipt information of a transfer

created_at
string<date-time>
required
read-only

Time of creation of the transfer

updated_at
string<date-time>
required
read-only

Time of update of the transfer

client_reference_id
string

A client-provided reference ID that uniquely identifies a resource in the client's system

Required string length: 1 - 256
developer_fee_percent
string

The fee percent, expressed as a decimal string from 0.0 to 100.0, represents the percentage of the transfer you wish to reserve for your own account.

This field must be set instead of developer_fee when using Flexible Amounts.

source_deposit_instructions
Fiat · object
read-only

Instructions for a fiat bank deposit. Which bank fields are present depends on the payment rail.

Example:
return_details
object
read-only

Return information, if the transfer has been returned.

return_instructions
object
read-only

Optional return instructions configured when creating or updating the transfer.

exchange_details
object
read-only

Exchange details for the associated trade, if applicable.

template_id
string
read-only

The ID of the static template transfer from which this transfer was instantiated. Only present for transfers created from a template.

Required string length: 1 - 42
Pattern: [a-z0-9]*
first_confirmed_at
string<date-time>
read-only

Time when the withdrawal transaction received its first on-chain confirmation. Only present for crypto withdrawal transfers where this feature is enabled for the developer.